Skip to main content
`Ctrl`+`K`

# PetscViewerASCIIAddTab

Add to the number of times a `PETSCVIEWERASCII` viewer tabs before printing

## Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerASCIIAddTab(PetscViewer viewer, PetscInt tabs)

Not Collective, but only first processor in set has any effect; No Fortran Support

## Input Parameters

- viewer - obtained with `PetscViewerASCIIOpen()`

- tabs - number of tabs

## Note

`PetscViewerASCIIPushTab()` and `PetscViewerASCIIPopTab()` are the preferred usage

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERASCII`, `PetscPrintf()`, `PetscSynchronizedPrintf()`, `PetscViewerASCIIPrintf()`, `PetscViewerASCIIPopTab()`, `PetscViewerASCIISynchronizedPrintf()`, `PetscViewerASCIIOpen()`, `PetscViewerCreate()`, `PetscViewerDestroy()`, `PetscViewerSetType()`, `PetscViewerASCIIGetPointer()`, `PetscViewerASCIIPushTab()`

## Level

developer

## Location

src/sys/classes/viewer/impls/ascii/filev.c

## Examples

src/snes/tutorials/ex6.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages